## 机器学习

主要用来记录机器学习中遇到的问题及其解决方案

### 环境搭建
执行下面命令
```sh
pip install numpy scipy statsmodels matplotlib
pip install -U scikit-learn nltk
apt install python-pandas # pythons使用的是python3-pandas
apt install python-matplotlib
pip install nltk tornado
```
docker tensorflow环境搭建
```sh
docker pull dash00/tensorflow-python3-jupyter
# 限制使用内存的大小,防止影响到本机
docker run -d --name "tensorflow" -m 4000M --cpus=2 -p 8888:8888 dash00/tensorflow-python3-jupyter
```

docker资源清理
```sh
docker container prune # 删除所有退出状态的容器
docker volume prune # 删除未被使用的数据卷
docker image prune # 删除 dangling 或所有未被使用的镜像
```

virtualenv使用
```sh
sudo apt install virtualenv
virtualenv env
source ./env/bin/activate
```

### 监督学习
#### 分类
- 决策树
- 临近取样
- 支持向量机
- 神经网络算法
#### 回归

### 非监督学习


